Skip to content
Start here

Get network traffic summary

Deprecated
client.Radar.NetFlows.Summary(ctx, query) (*NetFlowsSummaryResponse, error)
GET/radar/netflows/summary

Retrieves the distribution of network traffic (NetFlows) by HTTP vs other protocols.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
User Details WriteUser Details Read
ParametersExpand Collapse
query NetFlowsSummaryParams
ASN param.Field[[]string]optional

Filters results by Autonomous System. Specify one or more Autonomous System Numbers (ASNs) as a comma-separated list. Prefix with - to exclude ASNs from results. For example, -174, 3356 excludes results from AS174, but includes results from AS3356.

Continent param.Field[[]string]optional

Filters results by continent. Specify a comma-separated list of alpha-2 codes. Prefix with - to exclude continents from results. For example, -EU,NA excludes results from EU, but includes results from NA.

DateEnd param.Field[[]Time]optional

End of the date range (inclusive).

DateRange param.Field[[]string]optional

Filters results by date range. For example, use 7d and 7dcontrol to compare this week with the previous week. Use this parameter or set specific start and end dates (dateStart and dateEnd parameters).

DateStart param.Field[[]Time]optional

Start of the date range.

Format param.Field[NetFlowsSummaryParamsFormat]optional

Format in which results will be returned.

const NetFlowsSummaryParamsFormatJson NetFlowsSummaryParamsFormat = "JSON"
const NetFlowsSummaryParamsFormatCsv NetFlowsSummaryParamsFormat = "CSV"
GeoID param.Field[[]string]optional

Filters results by Geolocation. Specify a comma-separated list of GeoNames IDs. Prefix with - to exclude geoIds from results. For example, -2267056,360689 excludes results from the 2267056 (Lisbon), but includes results from 5128638 (New York).

Location param.Field[[]string]optional

Filters results by location. Specify a comma-separated list of alpha-2 codes. Prefix with - to exclude locations from results. For example, -US,PT excludes results from the US, but includes results from PT.

Name param.Field[[]string]optional

Array of names used to label the series in the response.

ReturnsExpand Collapse
type NetFlowsSummaryResponse struct{…}
Meta NetFlowsSummaryResponseMeta

Metadata for the results.

ConfidenceInfo NetFlowsSummaryResponseMetaConfidenceInfo
Annotations []NetFlowsSummaryResponseMetaConfidenceInfoAnnotation
DataSource NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsDataSource

Data source for annotations.

One of the following:
const NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsDataSourceAll NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsDataSource = "ALL"
const NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsDataSourceAIBots NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsDataSource = "AI_BOTS"
const NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsDataSourceAIGateway NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsDataSource = "AI_GATEWAY"
const NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsDataSourceBGP NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsDataSource = "BGP"
const NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsDataSourceBots NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsDataSource = "BOTS"
const NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsDataSourceConnectionAnomaly NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsDataSource = "CONNECTION_ANOMALY"
const NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsDataSourceCT NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsDataSource = "CT"
const NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsDataSourceDNS NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsDataSource = "DNS"
const NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsDataSourceDNSMagnitude NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsDataSource = "DNS_MAGNITUDE"
const NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsDataSourceDNSAS112 NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsDataSource = "DNS_AS112"
const NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsDataSourceDos NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsDataSource = "DOS"
const NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsDataSourceEmailRouting NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsDataSource = "EMAIL_ROUTING"
const NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsDataSourceEmailSecurity NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsDataSource = "EMAIL_SECURITY"
const NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsDataSourceFw NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsDataSource = "FW"
const NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsDataSourceFwPg NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsDataSource = "FW_PG"
const NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsDataSourceHTTP NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsDataSource = "HTTP"
const NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsDataSourceHTTPControl NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsDataSource = "HTTP_CONTROL"
const NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsDataSourceHTTPCrawlerReferer NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsDataSource = "HTTP_CRAWLER_REFERER"
const NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsDataSourceHTTPOrigins NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsDataSource = "HTTP_ORIGINS"
const NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsDataSourceIQI NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsDataSource = "IQI"
const NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsDataSourceLeakedCredentials NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsDataSource = "LEAKED_CREDENTIALS"
const NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsDataSourceNet NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsDataSource = "NET"
const NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsDataSourceRobotsTXT NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsDataSource = "ROBOTS_TXT"
const NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsDataSourceSpeed NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsDataSource = "SPEED"
const NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsDataSourceWorkersAI NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsDataSource = "WORKERS_AI"
Description string
EndDate Time
formatdate-time
EventType NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsEventType

Event type for annotations.

One of the following:
const NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsEventTypeEvent NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsEventType = "EVENT"
const NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsEventTypeGeneral NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsEventType = "GENERAL"
const NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsEventTypeOutage NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsEventType = "OUTAGE"
const NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsEventTypePartialProjection NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsEventType = "PARTIAL_PROJECTION"
const NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsEventTypePipeline NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsEventType = "PIPELINE"
const NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsEventTypeTrafficAnomaly NetFlowsSummaryResponseMetaConfidenceInfoAnnotationsEventType = "TRAFFIC_ANOMALY"
IsInstantaneous bool

Whether event is a single point in time or a time range.

LinkedURL string
formaturi
StartDate Time
formatdate-time
Level int64

Provides an indication of how much confidence Cloudflare has in the data.

DateRange []NetFlowsSummaryResponseMetaDateRange
EndTime Time

Adjusted end of date range.

formatdate-time
StartTime Time

Adjusted start of date range.

formatdate-time
LastUpdated Time

Timestamp of the last dataset update.

formatdate-time
Normalization NetFlowsSummaryResponseMetaNormalization

Normalization method applied to the results. Refer to Normalization methods.

One of the following:
const NetFlowsSummaryResponseMetaNormalizationPercentage NetFlowsSummaryResponseMetaNormalization = "PERCENTAGE"
const NetFlowsSummaryResponseMetaNormalizationMin0Max NetFlowsSummaryResponseMetaNormalization = "MIN0_MAX"
const NetFlowsSummaryResponseMetaNormalizationMinMax NetFlowsSummaryResponseMetaNormalization = "MIN_MAX"
const NetFlowsSummaryResponseMetaNormalizationRawValues NetFlowsSummaryResponseMetaNormalization = "RAW_VALUES"
const NetFlowsSummaryResponseMetaNormalizationPercentageChange NetFlowsSummaryResponseMetaNormalization = "PERCENTAGE_CHANGE"
const NetFlowsSummaryResponseMetaNormalizationRollingAverage NetFlowsSummaryResponseMetaNormalization = "ROLLING_AVERAGE"
const NetFlowsSummaryResponseMetaNormalizationOverlappedPercentage NetFlowsSummaryResponseMetaNormalization = "OVERLAPPED_PERCENTAGE"
const NetFlowsSummaryResponseMetaNormalizationRatio NetFlowsSummaryResponseMetaNormalization = "RATIO"
Units []NetFlowsSummaryResponseMetaUnit

Measurement units for the results.

Name string
Value string
Summary0 NetFlowsSummaryResponseSummary0
HTTP string

A numeric string.

Other string

A numeric string.

Get network traffic summary

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/radar"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.Radar.NetFlows.Summary(context.TODO(), radar.NetFlowsSummaryParams{

  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.Meta)
}
{
  "result": {
    "meta": {
      "confidenceInfo": {
        "annotations": [
          {
            "dataSource": "ALL",
            "description": "Cable cut in Tonga",
            "endDate": "2019-12-27T18:11:19.117Z",
            "eventType": "EVENT",
            "isInstantaneous": true,
            "linkedUrl": "https://example.com",
            "startDate": "2019-12-27T18:11:19.117Z"
          }
        ],
        "level": 0
      },
      "dateRange": [
        {
          "endTime": "2022-09-17T10:22:57.555Z",
          "startTime": "2022-09-16T10:22:57.555Z"
        }
      ],
      "lastUpdated": "2019-12-27T18:11:19.117Z",
      "normalization": "PERCENTAGE",
      "units": [
        {
          "name": "*",
          "value": "requests"
        }
      ]
    },
    "summary_0": {
      "HTTP": "10",
      "OTHER": "10"
    }
  },
  "success": true
}
Returns Examples
{
  "result": {
    "meta": {
      "confidenceInfo": {
        "annotations": [
          {
            "dataSource": "ALL",
            "description": "Cable cut in Tonga",
            "endDate": "2019-12-27T18:11:19.117Z",
            "eventType": "EVENT",
            "isInstantaneous": true,
            "linkedUrl": "https://example.com",
            "startDate": "2019-12-27T18:11:19.117Z"
          }
        ],
        "level": 0
      },
      "dateRange": [
        {
          "endTime": "2022-09-17T10:22:57.555Z",
          "startTime": "2022-09-16T10:22:57.555Z"
        }
      ],
      "lastUpdated": "2019-12-27T18:11:19.117Z",
      "normalization": "PERCENTAGE",
      "units": [
        {
          "name": "*",
          "value": "requests"
        }
      ]
    },
    "summary_0": {
      "HTTP": "10",
      "OTHER": "10"
    }
  },
  "success": true
}